### Method

# Gimp Vectors stroke_flip

#### Declaration [src]

    gboolean
    gimp_vectors_stroke_flip (
      GimpVectors* vectors,
      gint stroke_id,
      GimpOrientationType flip_type,
      gdouble axis
    )

#### Description [src]

Flips the given stroke.

Rotates the given stroke around given center by angle (in degrees).

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`flip_type` | `GimpOrientationType`
| Flip orientation, either vertical or horizontal.
`axis` | `gdouble`
| Axis coordinate about which to flip, in pixels.

#### Return value

Returns: | `gboolean`
| TRUE on success.